YPUPDATED(8C)

NAME
ypupdated, rpc.ypupdated - server for changing NIS information

SYNOPSIS
rpc.ypupdated [ -is ]

DESCRIPTION

ypupdated is a daemon that updates information in the Network Information Service (NIS), normally started up by inetd(8C). ypupdated consults the file updaters(5) in the directory /var/yp to determine which NIS maps should be updated and how to change them.

By default, the daemon requires the most secure method of authentication available to it, either DES (secure) or UNIX (insecure).

OPTIONS

-i  Accept RPC calls with the insecure AUTH_UNIX credentials. This allows programmatic updating of the NIS maps in all networks.

-s  Accept only calls authenticated using the secure RPC mechanism (AUTH_DES authentication). This disables programmatic updating of the NIS maps unless the network supports these calls.

FILES
/var/yp/updaters

SEE ALSO
updaters(5), inetd(8C), keyserv(8C)

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed. The name Yellow Pages is a registered trademark in the United Kingdom of British Telecommunications plc, and may not be used without permission.